# Serialized Form

## Package org.apache.sling.auth.oauth_client.spi

### Class org.apache.sling.auth.oauth_client.spi.OidcAuthCredentials

class OidcAuthCredentials extends Object implements Serializable

#### Serialized Fields

##### attributes

    Map<String,Object> attributes

##### groups

    Set<String> groups

##### idp

    String idp

##### userId

    org.apache.jackrabbit.oak.spi.security.authentication.external.ExternalIdentityRef userId

## Package org.apache.sling.auth.oauth_client.support

### Class org.apache.sling.auth.oauth_client.support.OAuthEnabledSlingServlet

class OAuthEnabledSlingServlet extends org.apache.sling.api.servlets.SlingAllMethodsServlet implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### connection

    ClientConnection connection

##### logger

    org.slf4j.Logger logger

##### tokenAccess

    OAuthTokenAccess tokenAccess